<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" version="1.00">
  <!--=========================================-->
  <!--===== ICS Simple Types -->
  <!--===== DDNIA V4.00  -->
  <!--===== QTM942  -->
  <!--===== Included Features: [10, 12, 18, 20, 26, 27, 28, 29]  -->
  <!--=========================================-->
  <!--===== Includes =====-->
  <xs:include schemaLocation="simple_types.xsd" />
  <xs:include schemaLocation="doc.xsd" />
  <!--===== Data Item Types =====-->
  <xs:simpleType name="Alpha_8">
    <xs:restriction base="AlphaType">
      <xs:length value="8" />
      <xs:pattern value="[a-zA-Z]{8}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_10">
    <xs:restriction base="AlphaNumType">
      <xs:length value="10" />
      <xs:pattern value=".{10}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_15">
    <xs:restriction base="AlphaNumType">
      <xs:length value="15" />
      <xs:pattern value=".{15}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_17">
    <xs:restriction base="AlphaNumType">
      <xs:length value="17" />
      <xs:pattern value=".{17}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_19">
    <xs:restriction base="AlphaNumType">
      <xs:length value="19" />
      <xs:pattern value=".{19}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_21">
    <xs:restriction base="AlphaNumType">
      <xs:length value="21" />
      <xs:pattern value=".{21}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_240">
    <xs:restriction base="AlphaNumType">
      <xs:length value="240" />
      <xs:pattern value=".{240}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_35">
    <xs:restriction base="AlphaNumType">
      <xs:length value="35" />
      <xs:pattern value=".{35}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_40">
    <xs:restriction base="AlphaNumType">
      <xs:length value="40" />
      <xs:pattern value=".{40}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_5">
    <xs:restriction base="AlphaNumType">
      <xs:length value="5" />
      <xs:pattern value=".{5}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_50">
    <xs:restriction base="AlphaNumType">
      <xs:length value="50" />
      <xs:pattern value=".{50}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_6">
    <xs:restriction base="AlphaNumType">
      <xs:length value="6" />
      <xs:pattern value=".{6}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_60">
    <xs:restriction base="AlphaNumType">
      <xs:length value="60" />
      <xs:pattern value=".{60}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_9">
    <xs:restriction base="AlphaNumType">
      <xs:length value="9" />
      <xs:pattern value=".{9}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max13">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="13" />
      <xs:pattern value=".{1,13}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max15">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="15" />
      <xs:pattern value=".{1,15}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max150">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="150" />
      <xs:pattern value=".{1,150}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max18">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="18" />
      <xs:pattern value=".{1,18}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max21">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="21" />
      <xs:pattern value=".{1,21}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max240">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="240" />
      <xs:pattern value=".{1,240}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max25">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="25" />
      <xs:pattern value=".{1,25}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max26">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="26" />
      <xs:pattern value=".{1,26}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max30">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="30" />
      <xs:pattern value=".{1,30}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max40">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="40" />
      <xs:pattern value=".{1,40}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max60">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="60" />
      <xs:pattern value=".{1,60}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Alphanumeric_Max7">
    <xs:restriction base="AlphaNumType">
      <xs:maxLength value="7" />
      <xs:pattern value=".{1,7}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Decimal_10_2">
    <xs:restriction base="DecType">
      <xs:totalDigits value="10" />
      <xs:fractionDigits value="2" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Decimal_11_2">
    <xs:restriction base="DecType">
      <xs:totalDigits value="11" />
      <xs:fractionDigits value="2" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Decimal_3_2">
    <xs:restriction base="DecType">
      <xs:totalDigits value="3" />
      <xs:fractionDigits value="2" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Decimal_6_5">
    <xs:restriction base="DecType">
      <xs:totalDigits value="6" />
      <xs:fractionDigits value="5" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Decimal_8_2">
    <xs:restriction base="DecType">
      <xs:totalDigits value="8" />
      <xs:fractionDigits value="2" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="LongType">
    <xs:annotation>
      <xs:documentation>Base class for all long numeric types</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:long" />
  </xs:simpleType>
  <xs:simpleType name="LongType8">
    <xs:annotation>
      <xs:documentation>Long Numeric Type 8 (format: long8)</xs:documentation>
    </xs:annotation>
    <xs:restriction base="LongType">
      <xs:maxInclusive value="99999999" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Numeric_10">
    <xs:restriction base="NumType">
      <xs:length value="10" />
      <xs:pattern value="[0-9]{10}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Numeric_12">
    <xs:restriction base="NumType">
      <xs:length value="12" />
      <xs:pattern value="[0-9]{12}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Numeric_15">
    <xs:restriction base="NumType">
      <xs:length value="15" />
      <xs:pattern value="[0-9]{15}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Numeric_Max10">
    <xs:restriction base="NumType">
      <xs:maxLength value="10" />
      <xs:pattern value="[0-9]{1,10}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Numeric_Max11">
    <xs:restriction base="NumType">
      <xs:maxLength value="11" />
      <xs:pattern value="[0-9]{1,11}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Numeric_Max15">
    <xs:restriction base="NumType">
      <xs:maxLength value="15" />
      <xs:pattern value="[0-9]{1,15}" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Numeric_Max9">
    <xs:restriction base="NumType">
      <xs:maxLength value="9" />
      <xs:pattern value="[0-9]{1,9}" />
    </xs:restriction>
  </xs:simpleType>
</xs:schema>

